Summary:	Mouse accessibility enhancements for GNOME
Summary(pl.UTF-8):	Rozszerzenia dostępności myszy dla GNOME
Name:		mousetweaks
Version:	3.32.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/mousetweaks/3.32/%{name}-%{version}.tar.xz
# Source0-md5:	aa671b0c7278a92c12f061d129af1454
URL:		https://wiki.gnome.org/Projects/Mousetweaks
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.2.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz
Requires(post,preun):	glib2 >= 1:2.26.0
Requires:	glib2 >= 1:2.26.0
Requires:	gsettings-desktop-schemas >= 3.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mousetweaks package provides the functions offered by the
Accessibility tab of the Mouse control panel of the GNOME Control
Center. It also contains two panel applets related to the mouse
accessibility.

%description -l pl.UTF-8
Pakiet mousetweaks udostępnia funkcje oferowane przez zakładkę
Dostępność w panelu sterowania myszy w Centrum Sterowania GNOME.
Zawiera także dwa aplety panelu związane z dostępnością myszy.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/mousetweaks
%{_datadir}/GConf/gsettings/mousetweaks.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mousetweaks.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mousetweaks.gschema.xml
%{_datadir}/mousetweaks
%{_mandir}/man1/mousetweaks.1*
%changelog
* Thu Nov 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mousetweaks.git;a=log;h=master

* Thu Nov 28 2019 Jakub Bogusz <qboosh@pld-linux.org> ea4cc58
- removed obsolete comment

* Thu Nov 28 2019 Jakub Bogusz <qboosh@pld-linux.org> dc497f5
- updated to 3.32.0

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 94e09b2
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d0216b8
- updated gettext BR

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> aa13759
- Update to 3.12.0

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> e84885a
- Update to 3.10.0

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b77d36f
- Update to 3.8.0

* Tue Jun 05 2012 Caleb Maclennan <caleb@alerque.com> c7f7dc8
- Up to 3.4.2

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 16453d0
- updated to 3.4.1

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4789d9e
- updated to 3.4.0

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> dd00a6e
- updated to 3.2.1

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> f1a03c0
- typo

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> 468f1ca
- up to 3.2.0

* Tue May 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> ade2267
- updated to 3.0.2

* Wed May 04 2011 lisu <lisu@pld-linux.org> 735a509
- updated to 3.0.1

* Wed Apr 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9c4b7e6
- updated to 3.0.0; merged from DEVEL

* Wed Nov 17 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 6b9710c
- updated to 2.32.1

* Tue Nov 02 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 582cb59
- updated to 2.32.0

* Wed Jun 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 45d4b0d
- updated to 2.30.2

* Mon Apr 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 3fd385a
- updated to 2.30.1

